Bug 18375 - Better readability of patron category table for zero ages and fees
Summary: Better readability of patron category table for zero ages and fees
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-04 02:46 UTC by Luke Honiss
Modified: 2017-04-16 12:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Patron category list (35.85 KB, image/png)
2017-04-04 02:46 UTC, Luke Honiss
Details
Bug 18375: Better readability of patron category table for zero ages and fees (2.94 KB, patch)
2017-04-04 11:10 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18375: Better readability of patron category table for zero ages and fees (2.99 KB, patch)
2017-04-05 06:35 UTC, Luke Honiss
Details | Diff | Splinter Review
Bug 18375: Better readability of patron category table for zero ages and fees (3.07 KB, patch)
2017-04-11 22:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Honiss 2017-04-04 02:46:18 UTC
Created attachment 61811 [details]
Patron category list

When a patron category with no upper age limit/age required is created the table of categories just reads 'years'. It should probably read something like 'unspecified' or '0 years'.

To recreate
1) Create any patron category with either/both upper age or minumum age blank
2) The /cgi-bin/koha/admin/categories.pl table show the field as 'years' (see attachment)
Comment 1 Marc Véron 2017-04-04 11:10:06 UTC
Created attachment 61813 [details] [review]
Bug 18375: Better readability of patron category table for zero ages and fees

In patron category table, this patch displays zero / empty values for ages and
fees with '-' for better readability

To test:
- Go to Home > Administration > Patron categories
- Verify that you have 0 years and/or only years in Age required and Uper age limit colums
- Verify that you have Enrollment and Hold fees of 0.00
- Apply patch
- Verify that such values are replaced by - to enhance table readability
Comment 2 Luke Honiss 2017-04-05 06:35:32 UTC
Created attachment 61867 [details] [review]
Bug 18375: Better readability of patron category table for zero ages and fees

In patron category table, this patch displays zero / empty values for ages and
fees with '-' for better readability

To test:
- Go to Home > Administration > Patron categories
- Verify that you have 0 years and/or only years in Age required and Uper age limit colums
- Verify that you have Enrollment and Hold fees of 0.00
- Apply patch
- Verify that such values are replaced by - to enhance table readability

Signed-off-by: Luke Honiss <luke.honiss@gmail.com>
Comment 3 Jonathan Druart 2017-04-11 22:04:20 UTC
Created attachment 62067 [details] [review]
Bug 18375: Better readability of patron category table for zero ages and fees

In patron category table, this patch displays zero / empty values for ages and
fees with '-' for better readability

To test:
- Go to Home > Administration > Patron categories
- Verify that you have 0 years and/or only years in Age required and Uper age limit colums
- Verify that you have Enrollment and Hold fees of 0.00
- Apply patch
- Verify that such values are replaced by - to enhance table readability

Signed-off-by: Luke Honiss <luke.honiss@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-04-13 12:52:17 UTC
Pushed to master for 17.05, thanks Marc!
Comment 5 Katrin Fischer 2017-04-16 12:25:48 UTC
This won't get ported back to 16.11.x as it is an enhancement.

+1 :)